MyGUI: MyGUI::ResourceManualFont Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ResourceManualFont Class Reference

`#include <MyGUI_ResourceManualFont.h>`

Inheritance diagram for MyGUI::ResourceManualFont:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceManualFont | RTTIBase
Public Types inherited from MyGUI::IFont
typedef RTTIBase | Base
typedef IFont | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type >
bool | isType () const
| ResourceManualFont ()
void | deserialization (xml::ElementPtr _node, Version _version) override
const GlyphInfo * | getGlyphInfo (Char _id) const override
ITexture * | getTextureFont () const override
int | getDefaultHeight () const override
void | setSource (const std::string &value)
void | setShader (const std::string &value)
void | setTexture (MyGUI::ITexture *texture)
void | setDefaultHeight (int value)
void | addGlyphInfo (Char id, const GlyphInfo &info)
Public Member Functions inherited from MyGUI::IFont
template<typename Type >
bool | isType () const
| IFont ()=default
| ~IFont () override=default
Public Member Functions inherited from MyGUI::IResource
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (const std::string &_value)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()=default
virtual | ~IObject ()=default

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IFont
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()=default
| ~IResource () override=default
| IResource (IResource const &)=delete
IResource & | operator= (IResource const &)=delete
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 19 of file MyGUI_ResourceManualFont.h.

## Member Typedef Documentation

## ◆ Base

RTTIBase MyGUI::ResourceManualFont::Base

Definition at line 22 of file MyGUI_ResourceManualFont.h.

## ◆ RTTIBase

ResourceManualFont MyGUI::ResourceManualFont::RTTIBase

Definition at line 22 of file MyGUI_ResourceManualFont.h.

## Constructor & Destructor Documentation

## ◆ ResourceManualFont()

MyGUI::ResourceManualFont::ResourceManualFont | ( |  | ) |

Definition at line 16 of file MyGUI_ResourceManualFont.cpp.

## Member Function Documentation

## ◆ addGlyphInfo()

void MyGUI::ResourceManualFont::addGlyphInfo | ( | Char | id,
|  | const GlyphInfo & | info )

Definition at line 173 of file MyGUI_ResourceManualFont.cpp.

## ◆ deserialization()

void MyGUI::ResourceManualFont::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version )
| overridevirtual

Reimplemented from MyGUI::IResource.

Definition at line 48 of file MyGUI_ResourceManualFont.cpp.

## ◆ getClassTypeName()

static const std::string & MyGUI::ResourceManualFont::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 22 of file MyGUI_ResourceManualFont.h.

## ◆ getDefaultHeight()

int MyGUI::ResourceManualFont::getDefaultHeight | ( |  | ) | const
| overridevirtual

Implements MyGUI::IFont.

Definition at line 143 of file MyGUI_ResourceManualFont.cpp.

## ◆ getGlyphInfo()

const GlyphInfo * MyGUI::ResourceManualFont::getGlyphInfo | ( | Char | _id | ) | const
| overridevirtual

Implements MyGUI::IFont.

Definition at line 23 of file MyGUI_ResourceManualFont.cpp.

## ◆ getTextureFont()

ITexture * MyGUI::ResourceManualFont::getTextureFont | ( |  | ) | const
| overridevirtual

Implements MyGUI::IFont.

Definition at line 138 of file MyGUI_ResourceManualFont.cpp.

## ◆ getTypeName()

virtual const std::string & MyGUI::ResourceManualFont::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::IFont.

Definition at line 22 of file MyGUI_ResourceManualFont.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ResourceManualFont::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 22 of file MyGUI_ResourceManualFont.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ResourceManualFont::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::IFont.

Definition at line 22 of file MyGUI_ResourceManualFont.h.

## ◆ setDefaultHeight()

void MyGUI::ResourceManualFont::setDefaultHeight | ( | int | value | ) |

Definition at line 168 of file MyGUI_ResourceManualFont.cpp.

## ◆ setShader()

void MyGUI::ResourceManualFont::setShader | ( | const std::string & | value | ) |

Definition at line 155 of file MyGUI_ResourceManualFont.cpp.

## ◆ setSource()

void MyGUI::ResourceManualFont::setSource | ( | const std::string & | value | ) |

Definition at line 148 of file MyGUI_ResourceManualFont.cpp.

## ◆ setTexture()

void MyGUI::ResourceManualFont::setTexture | ( | MyGUI::ITexture * | texture | ) |

Definition at line 162 of file MyGUI_ResourceManualFont.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ResourceManualFont.h
- MyGUI_ResourceManualFont.cpp